<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:rich="http://richfaces.org/rich"
                xmlns="http://www.w3.org/1999/xhtml">
	<s:div id="globalDiv">
		<gri:panel id="configurationsPanel"
			rendered="#{pubConfigurationManager.displayListPanel == true}">
            <f:facet name="header">
                #{messages['net.ihe.gazelle.xdstar.DocumentMetadataNotificationBrokerPublishConfigu']}
            </f:facet>
			<a4j:commandButton id="addConfigButton" styleClass="gzl-btn-green"
                               actionListener="#{pubConfigurationManager.addConfiguration()}"
                               rendered="#{identity.loggedIn}"
                               value="#{messages['net.ihe.gazelle.xdstar.CreateDocumentMetadataNotificationBrokerPublishC']}"
                               render="globalDiv" execute="@this" />
			<h:outputText
				value="#{messages['net.ihe.gazelle.xdstar.ToAddANewConfigurationYouHaveToLogInTheLoginAndP']} "
				rendered="#{!identity.loggedIn}" />
			<h:outputLink target="_blank" value="http://gazelle.ihe.net/EU-CAT/"
				rendered="#{!identity.loggedIn}">
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.EUCAT']}" />
			</h:outputLink>
			<br />
			<br />

			<rich:dataTable id="configTable"
				rendered="#{pubConfigurationManager.availableSystemConfigurations != null}"
				value="#{pubConfigurationManager.availableSystemConfigurations}"
				var="currentConfig" rows="10"
				render="ds">
				<g:column id="nameColumn" filterBy="#{'name'}" filterEvent="onkeyup"
					orderBy="#{'name'}" sortOrder="ascending">
					<ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Name']}</ui:define>
					<h:outputText value="#{currentConfig.name}" />
				</g:column>
				<g:column id="systemNameColumn" filterBy="#{'systemName'}"
					filterEvent="onkeyup" orderBy="#{'systemName'}"
					sortOrder="ascending">
					<ui:define name="header">#{messages['net.ihe.gazelle.xdstar.SystemName']}</ui:define>
					<h:outputText value="#{currentConfig.systemName}" />
				</g:column>
				<g:column id="urlColumn" filterBy="#{'url'}">
					<ui:define name="header">#{messages['net.ihe.gazelle.xdstar.URL']}</ui:define>
					<h:outputText value="#{currentConfig.url}" style="color:red;"
						rendered="#{!currentConfig.isAvailable}" />
					<h:outputText value="#{currentConfig.url}" style="color:green;"
						rendered="#{currentConfig.isAvailable}" />
				</g:column>
				<g:column rendered="#{identity.loggedIn}">
                    <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Owner']}</ui:define>
					<h:outputText value="#{pubConfigurationManager.getUserName(currentConfig.owner)}"
						rendered="#{s:hasRole('admin_role')}" />
					<h:outputText value="#{pubConfigurationManager.getUserName(currentConfig.owner)}"
						rendered="#{(not s:hasRole('admin_role')) and registryConfigurationManager.isOwnerOfConfig(currentConfig)}" />
				</g:column>
				<g:column>
					<ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Context']}</ui:define>
					<a4j:repeat value="#{currentConfig.listUsages}" var="currentu">
						<h:outputText
							value="#{currentu.affinity.labelToDisplay} =&gt; #{currentu.transaction.keyword}" />
						<br />
					</a4j:repeat>
				</g:column>
				<g:column id="actionColumn" rendered="#{identity.loggedIn}">
					<ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Action']}</ui:define>
					<ui:include src="/configuration/common/actionButtons.xhtml">
						<ui:param name="confManager" value="#{pubConfigurationManager}" />
					</ui:include>
				</g:column>
				<f:facet name="footer">
					<s:div style="text-align: center;">
						<rich:dataScroller id="ds" maxPages="10"
							renderIfSinglePage="false" immediate="true" />
					</s:div>
				</f:facet>
			</rich:dataTable>

		</gri:panel>
		<br />
		<s:div id="editConfigurationPanel">
			<gri:panel
				rendered="#{pubConfigurationManager.displayEditPanel and identity.loggedIn}">
				<f:facet name="header">#{messages['net.ihe.gazelle.xdstar.ConfigurationEdit']}</f:facet>
				<div class="form-horizontal">
					<a4j:region id="configNameRegion">
						<s:decorate id="editconfigNameDecorate"
							template="/layout/form/_form_field_horizontal_inline.xhtml">
							<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Name']}</ui:define>
							<h:inputText id="editconfigurationNameValue"
								value="#{pubConfigurationManager.selectedSystemConfiguration.name}"
								tabindex="1" size="30" maxlength="128" styleClass="form-control">
								<a4j:ajax event="blur" render="editconfigNameDecorate" />
							</h:inputText>
						</s:decorate>
					</a4j:region>
					<a4j:region id="systemNameRegion">
						<s:decorate id="editSystemNameDecorate"
							template="/layout/form/_form_field_horizontal_inline.xhtml">
							<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.SystemName']}</ui:define>
							<h:inputText id="editSystemNameValue"
								value="#{pubConfigurationManager.selectedSystemConfiguration.systemName}"
								tabindex="1" size="30" maxlength="128" styleClass="form-control">
								<a4j:ajax event="blur" render="editSystemNameValue" />
							</h:inputText>
						</s:decorate>
					</a4j:region>
					<a4j:region id="systemUrlRegion">
						<s:decorate id="editsystemUrlDecorate"
							template="/layout/form/_form_field_horizontal_inline.xhtml">
							<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.URL']}</ui:define>
							<h:inputText id="editsystemUrlValue"
								value="#{pubConfigurationManager.selectedSystemConfiguration.url}"
								styleClass="ajaxSupport form-control" tabindex="1" size="80" maxlength="128">
								<a4j:ajax event="blur" render="editsystemUrlDecorate" />
							</h:inputText>
						</s:decorate>
					</a4j:region>
					<s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml" id="usages">
						<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.AffinityDomainsTransactions']}</ui:define>
						<rich:pickList
							value="#{pubConfigurationManager.selectedSystemConfiguration.listUsages}"
							listWidth="250px" listHeight="100px">
							<s:selectItems
								value="#{pubConfigurationManager.getPossibleListUsages()}"
								var="currentu"
								label="#{currentu.affinity.labelToDisplay} =&gt; #{currentu.transaction.keyword}" />
						</rich:pickList>
					</s:decorate>
					<s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.PublicConfiguration']}</ui:define>
						<h:selectBooleanCheckbox
							value="#{pubConfigurationManager.selectedSystemConfiguration.isPublic}" />
					</s:decorate>
				</div>
				<f:facet name="footer">
					<a4j:commandButton id="saveConfigButton"
						actionListener="#{pubConfigurationManager.saveCurrentConfiguration()}"
						value="#{messages['net.ihe.gazelle.xdstar.Save']}"
						styleClass="gzl-btn-green" render="globalDiv" />
					<a4j:commandButton id="backButton"
						actionListener="#{pubConfigurationManager.back()}"
						value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
						styleClass="gzl-btn" render="globalDiv" />
				</f:facet>
			</gri:panel>
		</s:div>
		<br />
	</s:div>
	<ui:include src="/configuration/common/configModalPanel.xhtml">
		<ui:param name="confManager" value="#{pubConfigurationManager}" />
	</ui:include>
</ui:composition>
